- Qt 5.5
- Qt3D Module
- C++ Classes
- ListAllocatingPolicy
- Qt 5.5.1 Reference Documentation

# ListAllocatingPolicy Class

(Qt3D::ListAllocatingPolicy)

Allocates resources in a list. More...

Header: | #include <ListAllocatingPolicy>
qmake: | QT += 3dcore
Since: | Qt 5.5

- List of all members, including inherited members

## Public Functions

| ListAllocatingPolicy()
T * | allocateResource()
void | releaseResource(T * r)
void | reset()

## Detailed Description

Allocates resources in a list.

It is best to use it when you don't need to iterate over an entire set of resources, in which case ArrayAllocatingPolicy is faster. It can store a non predefined amount of resources, though there might not be enough handles at some point, depending on the INDEXBITS used. It's main use case is to manage resources that are accessed in an independent manner from other resources of the same type.

See also QResourceManager and ArrayAllocatingPolicy.

## Member Function Documentation

### ListAllocatingPolicy::ListAllocatingPolicy()

### T * ListAllocatingPolicy::allocateResource()

### void ListAllocatingPolicy::releaseResource(T * r)

### void ListAllocatingPolicy::reset()